<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');

	$table=new CI_TABLES();
	$table->set_option('sort', false);
	$table->set_option('edit', true);
	$table->set_option('clickable', 'skype');
	$table->set_option('toggle', false);
	$table->set_option('delete', true);
	
	$table->set_headers(array(
		'folder'	=> '',
		'shortcut'	=> ci_lbl('addressbook.contacts.shortcut'),
		'skype'		=> ci_lbl('addressbook.contacts.skype'),
		'name'		=> ci_lbl('addressbook.contacts.name'),
		'email'		=> ci_lbl('addressbook.contacts.email'),
		'company'	=> ci_lbl('addressbook.contacts.company')
	));

	$manager=new CI_ADDRESSBOOK($_REQUEST['folder']);
	$list =& $manager->get_search($_REQUEST['q']);

	foreach ($list as $short => $info)
	{
		list($folder2, $arg)=split(':', $info['folder']);
		$folder='<img alt="'.$source2.'" src="'.$CI_URI_BASE.'/icons/tables/source_'.$folder2.'.png" />';
		
		$table->add_line(array(
			'folder'	=> $folder,
			'shortcut'	=> $short,
			'skype'		=> $info['destination'],
			'name'		=> $info['ud_castiron_name'].' '.$info['ud_castiron_surname'],
			'email'		=> '<a href="mailto:'.$info['ud_castiron_email'].'">'.$info['ud_castiron_email'].'</a>',
			'company'	=> $info['ud_castiron_company']
		), array(
			'id'		=> $info['folder'].'/'.$short
		));
	}

	echo $table->get();
	exit;
?>
