<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array('task'	=> 'save');

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'enabled'	=> array('type' => 'yesno', 'extra' => array('onchange' => 'on_proxy_enabled_change()')),
				'host'		=> array('type' => 'text'),
				'port'		=> array('type' => 'integer'),
				'user'		=> array('type' => 'text'),
				'pass'		=> array('type' => 'password')
			)
		)
	);

	$manager=new CI_SETTINGS_PROXY();

	$info=$manager->get_info();

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/settings_proxy.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('settings.proxy.tab-');
	$form->set_fields_label_prefix('settings.proxy.fld-');

	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}

	function on_proxy_enabled_change()
	{
		var val=$('form').enabled.value;

		$('form').host.disabled = (val != 'true');
		$('form').port.disabled = (val != 'true');
		$('form').user.disabled = (val != 'true');
		$('form').pass.disabled = (val != 'true');
	}
</script>

<div class="title"><?php echo ci_lbl("settings.proxy.title") ?></div>
<div class="help"><?php echo ci_hlp("settings.proxy") ?></div>

<?php echo $form->get() ?>

<script type="text/javascript">on_proxy_enabled_change()</script>
