<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/groups.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array(
		'task'	=> 'save'
	);

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'id'		=> array('type' => 'text', 'disabled' => $_REQUEST['id']),
				'desc'		=> array('type' => 'text'),
				'enabled'	=> array('type' => 'yesno')
			)
		)
	);

	$manager=new CI_GROUPS();
	$info=$manager->get_info($_REQUEST['id']);
	$values=array(
		'id'		=> $info['id'],
		'desc'		=> $info['desc'],
		'enabled'	=> $info['enabled']
	);

	$form=new CI_FORMS('form');
	$form->set_values($values);
	$form->set_action('actions/groups.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('users.groups.info.tab-');
	$form->set_fields_label_prefix('users.groups.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('reset');
	if ($_REQUEST['id']) $form->buttons->add_stock_button('delete');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('users/groups/index.php');
		}
	}
	
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('users/groups/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':	$('form').do_submit(); break;
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('users.groups.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}
</script>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("users.groups.info.title", array('name' => $info['id'])) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("users.groups.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("users.groups.info") ?></div>

<?php echo $form->get() ?>
