#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

IGX_PATH_BASE=$S2P_PATH_BASE/apps/igx

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
if [[ `whoami` != "$S2P_OS_USERNAME" ]]; then
	exec sudo -u $S2P_OS_USERNAME ./$MYSCRIPT $@
fi

#########################################################################################
# igx.reload.flag

if [ -f $S2P_PATH_BASE/core/flags/igx.reload.flag ]; then

	rm -f $S2P_PATH_BASE/core/flags/igx.reload.flag &> /dev/null
	$IGX_PATH_BASE/bin/igx.sh reload

fi

