#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
S2P_OS_GROUPNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.groupname | cut -d= -f2`

CI_PATH_BASE="$S2P_PATH_BASE/apps/castiron"

# Permissions set (s2p)
chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/bin
chmod -R 0750 $CI_PATH_BASE/bin

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/pylibs
chmod -R 0750 $CI_PATH_BASE/pylibs

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/config
chmod 0775 $CI_PATH_BASE/config
chmod 0660 $CI_PATH_BASE/config/*.xml

# Permissions set
chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/data
chmod -R 0660 $CI_PATH_BASE/data/*
chmod 0770 $CI_PATH_BASE/data

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/config/system.xml
chmod -R 0660 $CI_PATH_BASE/config/system.xml

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/htdocs
chmod -R 0750 $CI_PATH_BASE/htdocs

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/phplibs
chmod -R 0750 $CI_PATH_BASE/phplibs

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/pear
chmod -R 0750 $CI_PATH_BASE/pear

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/sessions
chmod -R 0770 $CI_PATH_BASE/sessions
chmod -R 0660 $CI_PATH_BASE/sessions/*

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/langs
chmod -R 0750 $CI_PATH_BASE/langs

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/libexec
chmod -R 0750 $CI_PATH_BASE/libexec
chmod -R 0700 $CI_PATH_BASE/libexec/set_zoneinfo.sh

chown -R root.$S2P_OS_GROUPNAME $CI_PATH_BASE/scripts
chmod -R 0750 $CI_PATH_BASE/scripts

chown -R root.$S2P_OS_GROUPNAME /var/log/lighttpd
chmod 770 /var/log/lighttpd
chmod 660 /var/log/lighttpd/*

chown -R root.$S2P_OS_GROUPNAME /var/run/lighttpd
chmod 770 /var/run/lighttpd
chmod 660 /var/run/lighttpd/*