<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');

	header('Content-type: text/csv');
	header('Content-disposition: attachment; filename="addressbook-'.date('YmdHis').'.csv"');

	$res =& $CI_DB->query('select * from addressbook order by group_id, user_id, shortcut');

	$headers=array(
		'destination', 'name', 'surname', 'company', 'email', 'mobile', 'office',
		'extension', 'home', 'url', 'shortcut', 'user_id', 'group_id'
	);

	if ($_REQUEST['enclosure'] == 'singlequote') $_REQUEST['enclosure']="'";
	if ($_REQUEST['enclosure'] == 'doublequote') $_REQUEST['enclosure']='"';
	if ($_REQUEST['delimiter'] == 'TAB') $_REQUEST['delimiter']="\t";

	$tmp_filename=TMP_PATH_BASE.'/'.date('YmdHis').'-'.uniqid('castiron-').'.csv';

	$fp=fopen($tmp_filename, "w");
	fputcsv($fp, $headers, $_REQUEST['delimiter'], $_REQUEST['enclosure']);

	while ($row=$res->fetchRow())
	{
		$line=array();
		for ($i=0; $i<sizeof($headers); $i++)
		{
			$foo=$row[$headers[$i]];
			array_push($line, $foo);
		}

		fputcsv($fp, $line, $_REQUEST['delimiter'], $_REQUEST['enclosure']);
	}

	fclose($fp);

	readfile($tmp_filename);
	unlink($tmp_filename);
	exit;
?>